<template>
  <v-container>
    <v-layout row wrap>
      <v-flex xs12 sm3 ma-2 v-for="promo in promos" :key="promo.id">
        <v-card @click="selectPromo(promo)" :dark="selected === promo">
          <v-card-title primary-title>{{promo.label}}</v-card-title>
          <v-card-text>{{promo.specialization}}</v-card-text>
        </v-card>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script>
import { mapState } from "vuex";
export default {
  data() {
    return {
      selected: null
    };
  },
  computed: {
    ...mapState(["promos"])
  },
  mounted() {
    this.$store.dispatch("fetchPromos");
  },
  methods: {
    selectPromo(promo) {
      if (this.selected !== promo) {
        this.selected = promo;
      } else {
        this.selected = null;
      }
      this.$emit('select', this.selected);
    }
  }
};
</script>

<style>
</style>
